ApiV1Sites
Create a tenant-scoped site
Authorization
BearerAuth AuthorizationBearer <token>
In: header
Header Parameters
Idempotency-Key*string
Length
8 <= length <= 255Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/v1/sites" \ -H "Idempotency-Key: stringst" \ -H "Content-Type: application/json" \ -d '{ "requestedPeakLoadMw": 1, "location": { "latitude": -90, "longitude": -180 } }'{ "data": { "id": "string", "tenantId": "string", "createdAt": "2019-08-24T14:15:22Z", "customerReference": "string", "metadata": { "property1": "string", "property2": "string" }, "requestedPeakLoadMw": 0, "averageLoadMw": 0, "targetInServiceDate": "2019-08-24", "loadProfile": "flat", "rampProfile": [ {} ], "serviceVoltageKv": 0, "redundancy": "none", "curtailableMw": 0, "onSiteGeneration": [ {} ], "energyStorage": {}, "location": { "latitude": 0, "longitude": 0 }, "address": { "addressLine1": "string", "addressLine2": "string", "locality": "string", "region": "string", "postalCode": "string", "countryCode": "US" } }}